Subject: [Simple] IM Session Transport **Resend with subject**

From: "Sriram Parameswar"<[email-masked]>
Date: Thu, 28 Mar 2002 09:11:57 -0600

*** Resend with  proper Subject***

> Jonathan wrote:
> <<quote>>
> I think the difference between what Aki and you are saying is merely
> pedantic. The basic idea behind my presentation was that, with the new
> loose routing capabilities of bis, we would no longer need a separate
> protocol for IM transport. We could use regular SIP, with the MESSAGE
> method, in a particular usage scenario (pre-loaded routes with all tcp
> transport, for example). Thus, there would no longer be IMTP as a separate
> protocol, merely a draft on the usage of the MESSAGE method in this
> modality. Indeed, I would argue that such a usage description belongs in
> draft-ietf-simple-im-session. 
> <<endquote>>
> 
> Jonathan,
> 
> "Just a question for clarification" using 3GPP-speak. When you say we will
> use loose routing and full blown SIP (as opposed to a limited header set
> defined in IMTP), are you implying that the MESSAGE will now follow the
> exact same route as the signaling? Also are the other SIP headers
> applicable to MESSAGE now going to be allowed in IM sessions?
> 
> Thanks,
> 
> Sriram
> 
>

---

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 28 Mar 2002 17:27:39 -0500

Sriram Parameswar wrote:
> transport, for example). Thus, there would no longer be IMTP as a
> separate protocol, merely a draft on the usage of the MESSAGE method in
> this modality. Indeed, I would argue that such a usage description
> belongs in draft-ietf-simple-im-session.
> 
> <<endquote>>
> 
> Jonathan,
> 
> "Just a question for clarification" using 3GPP-speak. When you say we
> will use loose routing and full blown SIP (as opposed to a limited
> header set defined in IMTP), are you implying that the MESSAGE will now
> follow the exact same route as the signaling? 

No. It can follow a different route.

> Also are the other SIP
> headers applicable to MESSAGE now going to be allowed in IM sessions?

Well, I would think that pretty much everything allowed in page mode
should also work for the session usage. In addition, since a context is
established, things like CSeq can be used to establish order.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
Chief Scientist                         First Floor
dynamicsoft                             East Hanover, NJ 07936
[email-masked]                 FAX: (973) 952-5050
http://www.jdrosen.net                  PH:  (973) 952-5000
http://www.dynamicsoft.com
_______________________________________________
simple mailing list
[email-masked]
http://mailman.dynamicsoft.com/mailman/listinfo/simple